Bug 1484083 - [ceph-iscsi-ansible]: ceph-iscsi-ansible can only be used with RHEL 7.3
Summary: [ceph-iscsi-ansible]: ceph-iscsi-ansible can only be used with RHEL 7.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: rc
: 3.0
Assignee: Sébastien Han
QA Contact: Tejas
URL:
Whiteboard:
Depends On: 1492160
Blocks: 1488332 1489116
TreeView+ depends on / blocked
 
Reported: 2017-08-22 16:06 UTC by Tejas
Modified: 2017-12-05 23:39 UTC (History)
15 users (show)

Fixed In Version: RHEL: ceph-ansible-3.0.0-0.1.rc10.el7cp Ubuntu: ceph-ansible_3.0.0~rc10-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1489116 (view as bug list)
Environment:
Last Closed: 2017-12-05 23:39:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
ansible setup (34.96 KB, text/plain)
2017-09-19 09:50 UTC, Tejas
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 1747 0 None None None 2017-08-22 22:26:23 UTC
Github ceph ceph-ansible pull 1919 0 None None None 2017-09-19 10:00:10 UTC
Red Hat Product Errata RHBA-2017:3387 0 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Tejas 2017-08-22 16:06:31 UTC
Description of problem:
    As we go into ceph 3.0 Luminous, we are mandatorily using RHEL 7.4. ceph-iscsi-ansible has a OS check for RHEL 7.3. This check should be set to RHEL 7.4.

Version-Release number of selected component (if applicable):

ceph-iscsi-ansible-1.5-5.el7scon.noarch.rpm

Comment 2 seb 2017-08-22 22:26:24 UTC
Fixed in the resync here: https://github.com/ceph/ceph-ansible/pull/1747

Comment 3 Ian Colle 2017-08-23 13:51:45 UTC
That PR isn't merged. Please move to POST once it is.

Comment 8 seb 2017-09-11 08:37:33 UTC
We can merge it upstream, however, we don't have any coverage upstream as we are waiting for CentIS 7.4 vagrant image.

Comment 9 Harish NV Rao 2017-09-11 12:24:18 UTC
(In reply to seb from comment #8)
> We can merge it upstream, however, we don't have any coverage upstream as we
> are waiting for CentIS 7.4 vagrant image.

@Seb, when will this be done? Is there any other ways to speed up the delivery of fixed build to QE?

As mentioned by Tejas earlier, this BZ is blocking our cpeh-iscsi-ansible testing. Please help.

Comment 10 seb 2017-09-12 21:40:55 UTC
Sorry Harish, I'll merge that today so QE can pursue its work

Comment 12 seb 2017-09-13 15:49:03 UTC
@Jason, I'll leave Ken answering that :)

Comment 14 seb 2017-09-13 16:56:40 UTC
@Ken, sure, I'm planning on tagging this morning.

Comment 15 Harish NV Rao 2017-09-14 11:15:14 UTC
(In reply to seb from comment #14)
> @Ken, sure, I'm planning on tagging this morning.

@Seb, can you please let us know when we will get the fix? This bug is actually blocking 6-7 days of test effort.

Comment 16 seb 2017-09-14 15:05:50 UTC
Tag is available, waiting for the package now :).

Comment 19 Jason Dillaman 2017-09-14 19:55:42 UTC
@Ken: should the ceph-ansible package now 'Obsoletes' the ceph-iscsi-ansible package?

Comment 20 Ken Dreyer (Red Hat) 2017-09-14 20:02:19 UTC
Whoops, yes Jason.

Comment 21 Ken Dreyer (Red Hat) 2017-09-14 20:14:06 UTC
https://github.com/ceph/ceph-ansible/pull/1899 adds the Obsoletes.

Comment 24 seb 2017-09-19 09:42:59 UTC
Can you send me the full output of "ansible harvard -m setup"?, thanks.

Comment 25 Tejas 2017-09-19 09:50:00 UTC
Created attachment 1327866 [details]
ansible setup

Comment 26 seb 2017-09-19 10:00:10 UTC
Thanks, fix almost upstream.

Comment 27 Ken Dreyer (Red Hat) 2017-09-19 16:12:19 UTC
Sébastien would you please tag and announce a new ceph-ansible version upstream with this change so we can rebase to it downstream?

Comment 28 seb 2017-09-20 12:23:05 UTC
I did, yesterday.

Comment 32 Tejas 2017-09-21 12:31:49 UTC
Verified in version ceph-ansible-3.0.0-0.1.rc10.el7cp

Comment 35 errata-xmlrpc 2017-12-05 23:39:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.